** Description changed:

  The Ubuntu Error Tracker has been receiving reports about a problem regarding 
packagekit.  This problem was most recently seen with package version 
0.8.17-4ubuntu6~gcc5.4ubuntu1.1, the problem page at 
https://errors.ubuntu.com/problem/8c37a6988b890cc46b415972ef1e2ca746f9ffcc 
contains more details, including versions of packages affected, stacktrace or 
traceback, and individual crash reports.
  If you do not have access to the Ubuntu Error Tracker you can request it at 
http://forms.canonical.com/reports/.
+ 
+ SRU INFORMATION
+ ===============
+  * Impact: PackageKit immediately crashes in GetUpdateDetail()..
+ 
+  * Test case:
+    - Be on a system (container, VM, or real iron) with at least one 
upgradeable package. If you don't have one, downgrade tzdata:
+       sudo apt-get install tzdata=2016j-0ubuntu0.16.04
+    - Run "pkcon get-updates" to see upgradeable packages.
+    - Run "pkcon get-update-detail tzdata" (or for a different package).
+    - Current PackageKit immediately crashes (message from pkcon and systemctl 
status packagekit), with this fix it should survive and show some data 
(changelog doesn't work though).
+ 
+  * Regression potential: Update details are currently completely broken,
+ so very little to regress there. As for dropping the browser plugin
+ package: The current package stopped working long ago with current
+ firefox; however, the package from xenial-release will still be around.
+ All in all this shouldn't change anything visible.
+ 
+  * Upstream fix: https://github.com/hughsie/PackageKit/commit/18c56fa52
+ (only the acqpkitstatus.cpp bit)
+ 
+  * Downstream packaging change to drop browser plugin:
+ https://anonscm.debian.org/git/pkg-
+ packagekit/packagekit.git/commit/?id=b98a978322

** Description changed:

  The Ubuntu Error Tracker has been receiving reports about a problem regarding 
packagekit.  This problem was most recently seen with package version 
0.8.17-4ubuntu6~gcc5.4ubuntu1.1, the problem page at 
https://errors.ubuntu.com/problem/8c37a6988b890cc46b415972ef1e2ca746f9ffcc 
contains more details, including versions of packages affected, stacktrace or 
traceback, and individual crash reports.
  If you do not have access to the Ubuntu Error Tracker you can request it at 
http://forms.canonical.com/reports/.
  
  SRU INFORMATION
  ===============
-  * Impact: PackageKit immediately crashes in GetUpdateDetail()..
+  * Impact: PackageKit immediately crashes in GetUpdateDetail()
  
-  * Test case:
-    - Be on a system (container, VM, or real iron) with at least one 
upgradeable package. If you don't have one, downgrade tzdata:
-       sudo apt-get install tzdata=2016j-0ubuntu0.16.04
-    - Run "pkcon get-updates" to see upgradeable packages.
-    - Run "pkcon get-update-detail tzdata" (or for a different package).
-    - Current PackageKit immediately crashes (message from pkcon and systemctl 
status packagekit), with this fix it should survive and show some data 
(changelog doesn't work though).
+  * Test case:
+    - Be on a system (container, VM, or real iron) with at least one 
upgradeable package. If you don't have one, downgrade tzdata:
+       sudo apt-get install tzdata=2016j-0ubuntu0.16.04
+    - Run "pkcon get-updates" to see upgradeable packages.
+    - Run "pkcon get-update-detail tzdata" (or for a different package).
+    - Current PackageKit immediately crashes (message from pkcon and systemctl 
status packagekit), with this fix it should survive and show some data 
(changelog doesn't work though).
  
-  * Regression potential: Update details are currently completely broken,
+  * Regression potential: Update details are currently completely broken,
  so very little to regress there. As for dropping the browser plugin
  package: The current package stopped working long ago with current
  firefox; however, the package from xenial-release will still be around.
  All in all this shouldn't change anything visible.
  
-  * Upstream fix: https://github.com/hughsie/PackageKit/commit/18c56fa52
+  * Upstream fix: https://github.com/hughsie/PackageKit/commit/18c56fa52
  (only the acqpkitstatus.cpp bit)
  
-  * Downstream packaging change to drop browser plugin:
+  * Downstream packaging change to drop browser plugin:
  https://anonscm.debian.org/git/pkg-
  packagekit/packagekit.git/commit/?id=b98a978322

** Description changed:

  The Ubuntu Error Tracker has been receiving reports about a problem regarding 
packagekit.  This problem was most recently seen with package version 
0.8.17-4ubuntu6~gcc5.4ubuntu1.1, the problem page at 
https://errors.ubuntu.com/problem/8c37a6988b890cc46b415972ef1e2ca746f9ffcc 
contains more details, including versions of packages affected, stacktrace or 
traceback, and individual crash reports.
  If you do not have access to the Ubuntu Error Tracker you can request it at 
http://forms.canonical.com/reports/.
  
  SRU INFORMATION
  ===============
   * Impact: PackageKit immediately crashes in GetUpdateDetail()
  
   * Test case:
     - Be on a system (container, VM, or real iron) with at least one 
upgradeable package. If you don't have one, downgrade tzdata:
        sudo apt-get install tzdata=2016j-0ubuntu0.16.04
     - Run "pkcon get-updates" to see upgradeable packages.
     - Run "pkcon get-update-detail tzdata" (or for a different package).
     - Current PackageKit immediately crashes (message from pkcon and systemctl 
status packagekit), with this fix it should survive and show some data 
(changelog doesn't work though).
  
   * Regression potential: Update details are currently completely broken,
  so very little to regress there. As for dropping the browser plugin
  package: The current package stopped working long ago with current
  firefox; however, the package from xenial-release will still be around.
  All in all this shouldn't change anything visible.
  
   * Upstream fix: https://github.com/hughsie/PackageKit/commit/18c56fa52
  (only the acqpkitstatus.cpp bit)
  
   * Downstream packaging change to drop browser plugin:
  https://anonscm.debian.org/git/pkg-
  packagekit/packagekit.git/commit/?id=b98a978322
+ 
+ Test packages: http://people.ubuntu.com/~pitti/packagekit-updatedetail-
+ crash/

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1689820

Title:
  
/usr/lib/packagekit/packagekitd:11:pkgCache::Iterator:AcqPackageKitStatus::updateStatus:AcqPackageKitStatus::Fail:pkgAcquire::Worker::RunMessages:pkgAcquire::Worker::InFdReady

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/packagekit/+bug/1689820/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Reply via email to